## Hierarchy For Package org.opengis.util

Package Hierarchies:
  All Packages

## Class Hierarchy

- Object
  - CodeList<E> (implements Comparable<T>, Serializable)
    - SimpleEnumerationType<E>
  - Number (implements Serializable)
    - UnlimitedInteger (implements Comparable<T>)
  - Throwable (implements Serializable)
    - Exception
      - NoSuchEnumerationException

## Interface Hierarchy

- CharSequence
  - InternationalString (also extends Comparable<T>)
- Cloneable
  - Cloneable
- Comparable<T>
  - GenericName
    - LocalName
      - MemberName
      - TypeName
    - ScopedName
  - InternationalString (also extends CharSequence)
- NameFactory
- NameSpace
- ProgressListener
- Record
- RecordSchema
- RecordType

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.